This is an automated email from the ASF dual-hosted git repository.
madhan pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/atlas.git
The following commit(s) were added to refs/heads/master by this push:
new 552a3fbd1 ATLAS-5054: fix incorrect exit status from atlas-build.sh
552a3fbd1 is described below
commit 552a3fbd19aa7b2c0900295401430fdb8330e24e
Author: Madhan Neethiraj <[email protected]>
AuthorDate: Wed Aug 13 16:28:54 2025 -0700
ATLAS-5054: fix incorrect exit status from atlas-build.sh
---
dev-support/atlas-docker/scripts/atlas-build.sh | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/dev-support/atlas-docker/scripts/atlas-build.sh
b/dev-support/atlas-docker/scripts/atlas-build.sh
index fe2f18c86..ff60538e8 100755
--- a/dev-support/atlas-docker/scripts/atlas-build.sh
+++ b/dev-support/atlas-docker/scripts/atlas-build.sh
@@ -93,9 +93,10 @@ mv -f
distro/target/apache-atlas-${ATLAS_VERSION}-hive-hook.tar.gz /home/atlas/
mv -f distro/target/apache-atlas-${ATLAS_VERSION}-hbase-hook.tar.gz
/home/atlas/dist/
mv -f distro/target/apache-atlas-${ATLAS_VERSION}-kafka-hook.tar.gz
/home/atlas/dist/
+status=$?
+
# Run code coverage and generate reports
./dev-support/checks/coverage.sh
-status=$?
# save coverage reports to the dist directory before container shutdown
mv -f target/coverage /home/atlas/dist/